<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__lvd_8h" kind="file" language="C++">
    <compoundname>cy_lvd.h</compoundname>
    <includes local="yes" refid="cy__pra_8h">cy_pra.h</includes>
    <includes local="yes" refid="cy__syspm_8h">cy_syspm.h</includes>
    <includes local="yes">cy_device.h</includes>
    <includedby local="yes" refid="cy__pdl_8h">cy_pdl.h</includedby>
    <includedby local="yes" refid="cy__lvd_8c">cy_lvd.c</includedby>
    <incdepgraph>
      <node id="313">
        <label>cy_lvd.h</label>
        <link refid="cy__lvd_8h" />
        <childnode refid="314" relation="include">
        </childnode>
      </node>
      <node id="314">
        <label>cy_device.h</label>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="group__group__lvd__macros_1ga8a39f94a18b06c0cc8767ab5e161720f" kind="define" prot="public" static="no">
        <name>CY_LVD_DRV_VERSION_MAJOR</name>
        <initializer>1</initializer>
        <briefdescription>
<para>The driver major version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="162" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="162" />
      </memberdef>
      <memberdef id="group__group__lvd__macros_1ga35d2f4bcf74ac9db3d2bf8555acbb3b6" kind="define" prot="public" static="no">
        <name>CY_LVD_DRV_VERSION_MINOR</name>
        <initializer>20</initializer>
        <briefdescription>
<para>The driver minor version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="165" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="165" />
      </memberdef>
      <memberdef id="group__group__lvd__macros_1ga5fefb5335218b5f221090d9b64c6fe99" kind="define" prot="public" static="no">
        <name>CY_LVD_ID</name>
        <initializer>(<ref kindref="member" refid="group__group__syslib__macros__status__codes_1ga45c44ce91d1e20c64430f00fd8ad9b0e">CY_PDL_DRV_ID</ref>(0x39U))</initializer>
        <briefdescription>
<para>The LVD driver identifier. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="168" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="168" />
      </memberdef>
      <memberdef id="group__group__lvd__macros_1gae8294f29a1f72dec843637a91a565763" kind="define" prot="public" static="no">
        <name>CY_LVD_INTR</name>
        <initializer>(SRSS_SRSS_INTR_HVLVD1_Msk)</initializer>
        <briefdescription>
<para>Interrupt mask for <ref kindref="member" refid="group__group__lvd__functions_1gafc5ec839663e466fcd6332b767d4253c">Cy_LVD_GetInterruptStatus()</ref>, <ref kindref="member" refid="group__group__lvd__functions_1ga64c8f2e7e5963585cbddc6370768c2b1">Cy_LVD_GetInterruptMask()</ref> and <ref kindref="member" refid="group__group__lvd__functions_1gaf66597cc5c1f74f48510a60b34c8de7a">Cy_LVD_GetInterruptStatusMasked()</ref> </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="173" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="173" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__lvd__enums_1ga4eaeaadf154cb3cbc9af0b4abcd56f62" kind="enum" prot="public" static="no">
        <name>cy_en_lvd_tripsel_t</name>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a6c4786a3c532ab8c9cbe3ee76446559d" prot="public">
          <name>CY_LVD_THRESHOLD_1_2_V</name>
          <initializer>= 0x0U</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 1.2V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a210f2bcbbbf480104eaf331a5632ee9a" prot="public">
          <name>CY_LVD_THRESHOLD_1_4_V</name>
          <initializer>= 0x1U</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 1.4V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a900c1f1e98e09b7e6f812a34b35db2c1" prot="public">
          <name>CY_LVD_THRESHOLD_1_6_V</name>
          <initializer>= 0x2U</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 1.6V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62ae0ab723600715751b8e251694f6dc172" prot="public">
          <name>CY_LVD_THRESHOLD_1_8_V</name>
          <initializer>= 0x3U</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 1.8V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62aed9b79b39a04a20650a77d6d4adc7a3e" prot="public">
          <name>CY_LVD_THRESHOLD_2_0_V</name>
          <initializer>= 0x4U</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 2.0V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a442152c992e34c0ab08c6fd468619b48" prot="public">
          <name>CY_LVD_THRESHOLD_2_1_V</name>
          <initializer>= 0x5U</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 2.1V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a0e0bb97187980b9ab1b67771b25cd801" prot="public">
          <name>CY_LVD_THRESHOLD_2_2_V</name>
          <initializer>= 0x6U</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 2.2V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a673335b41bfdcea7488f41bf329fd670" prot="public">
          <name>CY_LVD_THRESHOLD_2_3_V</name>
          <initializer>= 0x7U</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 2.3V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62ad4b704de6a347e80d559ce5291231bb1" prot="public">
          <name>CY_LVD_THRESHOLD_2_4_V</name>
          <initializer>= 0x8U</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 2.4V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a5a8a453fdb6ced002661791f4e37c6e4" prot="public">
          <name>CY_LVD_THRESHOLD_2_5_V</name>
          <initializer>= 0x9U</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 2.5V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a3029991cbb2a5088a6bdf5dd94ffdb7b" prot="public">
          <name>CY_LVD_THRESHOLD_2_6_V</name>
          <initializer>= 0xAU</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 2.6V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a0a9b61adb3828e04d449aa4d0403bd5e" prot="public">
          <name>CY_LVD_THRESHOLD_2_7_V</name>
          <initializer>= 0xBU</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 2.7V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62abdfcb057cc4ff75e712c7dd24a2389b0" prot="public">
          <name>CY_LVD_THRESHOLD_2_8_V</name>
          <initializer>= 0xCU</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 2.8V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a536c3be0751704048e935d99582e8b08" prot="public">
          <name>CY_LVD_THRESHOLD_2_9_V</name>
          <initializer>= 0xDU</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 2.9V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a0f59f6eaf6b0a774a17131cb2ea91724" prot="public">
          <name>CY_LVD_THRESHOLD_3_0_V</name>
          <initializer>= 0xEU</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 3.0V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62ac5eaf0f62614a3c8dad52cf499448da0" prot="public">
          <name>CY_LVD_THRESHOLD_3_1_V</name>
          <initializer>= 0xFU</initializer>
          <briefdescription>
<para>Select LVD reference voltage: 3.1V. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_lvd_tripsel_t: </bold><linebreak />LVD reference voltage select.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="204" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="186" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="187" />
      </memberdef>
      <memberdef id="group__group__lvd__enums_1ga86656c2b083eef9b483a09ef4078257e" kind="enum" prot="public" static="no">
        <name>cy_en_lvd_intr_config_t</name>
        <enumvalue id="group__group__lvd__enums_1gga86656c2b083eef9b483a09ef4078257ea64b9050c4cb9668d835d6129dfee27fc" prot="public">
          <name>CY_LVD_INTR_DISABLE</name>
          <initializer>= 0x0U</initializer>
          <briefdescription>
<para>Select LVD interrupt: disabled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga86656c2b083eef9b483a09ef4078257ea10426e752ecc7fa75bd36592adcce57b" prot="public">
          <name>CY_LVD_INTR_RISING</name>
          <initializer>= 0x1U</initializer>
          <briefdescription>
<para>Select LVD interrupt: rising edge. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga86656c2b083eef9b483a09ef4078257ea608e21ceb8711e5c0ea2c8bfbb06d907" prot="public">
          <name>CY_LVD_INTR_FALLING</name>
          <initializer>= 0x2U</initializer>
          <briefdescription>
<para>Select LVD interrupt: falling edge. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga86656c2b083eef9b483a09ef4078257eadebb3940980d08388fb545812799a3c8" prot="public">
          <name>CY_LVD_INTR_BOTH</name>
          <initializer>= 0x3U</initializer>
          <briefdescription>
<para>Select LVD interrupt: both edges. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_lvd_intr_config_t: </bold><linebreak />LVD interrupt configuration select.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="215" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="209" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="210" />
      </memberdef>
      <memberdef id="group__group__lvd__enums_1ga8ee282b956b17299990b22e65f15db0b" kind="enum" prot="public" static="no">
        <name>cy_en_lvd_status_t</name>
        <enumvalue id="group__group__lvd__enums_1gga8ee282b956b17299990b22e65f15db0bac26d8123fc042072980b8a35de16f93c" prot="public">
          <name>CY_LVD_STATUS_BELOW</name>
          <initializer>= 0x0U</initializer>
          <briefdescription>
<para>The voltage is below the threshold. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lvd__enums_1gga8ee282b956b17299990b22e65f15db0ba190b50e952ccf1e4c08cc573a4a7806e" prot="public">
          <name>CY_LVD_STATUS_ABOVE</name>
          <initializer>= 0x1U</initializer>
          <briefdescription>
<para>The voltage is above the threshold. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_lvd_status_t: </bold><linebreak />LVD output status.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="224" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="220" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="221" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1ga855b38a29ad7ce794e38f09e546f14c4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LVD_Enable</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_LVD_Enable</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Enables the output of the LVD block when the VDDD voltage is at or below the threshold. </para>        </briefdescription>
        <detaileddescription>
<para>See the Configuration Considerations section for details. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="293" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="286" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="258" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1ga3eba25c246f5977fca59309c198743a0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LVD_Disable</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_LVD_Disable</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Disables the LVD block. </para>        </briefdescription>
        <detaileddescription>
<para>A low voltage detection interrupt is disabled. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="310" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="303" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="259" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1ga59ac02fec5dbbba9c16b7b72beaa91b8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LVD_SetThreshold</definition>
        <argsstring>(cy_en_lvd_tripsel_t threshold)</argsstring>
        <name>Cy_LVD_SetThreshold</name>
        <param>
          <type><ref kindref="member" refid="group__group__lvd__enums_1ga4eaeaadf154cb3cbc9af0b4abcd56f62">cy_en_lvd_tripsel_t</ref></type>
          <declname>threshold</declname>
        </param>
        <briefdescription>
<para>Sets a threshold for monitoring the VDDD voltage. </para>        </briefdescription>
        <detaileddescription>
<para>To prevent propagating a false interrupt, before changing the threshold ensure that the LVD block itself and LVD interrupt are disabled by the <ref kindref="member" refid="group__group__lvd__functions_1ga3eba25c246f5977fca59309c198743a0">Cy_LVD_Disable</ref> and <ref kindref="member" refid="group__group__lvd__functions_1ga1de4327b866c4002806eb915023f438e">Cy_LVD_ClearInterruptMask</ref> functions correspondingly.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>threshold</parametername>
</parameternamelist>
<parameterdescription>
<para>Threshold selection for Low Voltage Detect circuit, <ref kindref="member" refid="group__group__lvd__enums_1ga4eaeaadf154cb3cbc9af0b4abcd56f62">cy_en_lvd_tripsel_t</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="336" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="327" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="260" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1ga9e3a366b7240affbd27ef64a12c7121f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__lvd__enums_1ga8ee282b956b17299990b22e65f15db0b">cy_en_lvd_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_lvd_status_t Cy_LVD_GetStatus</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_LVD_GetStatus</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Returns the status of LVD. </para>        </briefdescription>
        <detaileddescription>
<para>SRSS LVD Status Register (PWR_LVD_STATUS).</para><para><simplesect kind="return"><para>LVD status, <ref kindref="member" refid="group__group__lvd__enums_1ga8ee282b956b17299990b22e65f15db0b">cy_en_lvd_status_t</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="352" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="349" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="261" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1gafc5ec839663e466fcd6332b767d4253c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_LVD_GetInterruptStatus</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_LVD_GetInterruptStatus</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Returns the status of LVD interrupt. </para>        </briefdescription>
        <detaileddescription>
<para>SRSS Interrupt Register (SRSS_INTR).</para><para><simplesect kind="return"><para>SRSS Interrupt status, <ref kindref="member" refid="group__group__lvd__macros_1gae8294f29a1f72dec843637a91a565763">CY_LVD_INTR</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="368" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="365" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="262" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1gaadd0bff934f82db8d5630ab9163fbf49" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LVD_ClearInterrupt</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_LVD_ClearInterrupt</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Clears LVD interrupt. </para>        </briefdescription>
        <detaileddescription>
<para>SRSS Interrupt Register (SRSS_INTR). </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="388" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="379" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="263" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1ga7f875a2e19d66badf8736ffc75b96665" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LVD_SetInterrupt</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_LVD_SetInterrupt</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Triggers the device to generate interrupt for LVD. </para>        </briefdescription>
        <detaileddescription>
<para>SRSS Interrupt Set Register (SRSS_INTR_SET). </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="406" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="399" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="264" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1ga64c8f2e7e5963585cbddc6370768c2b1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_LVD_GetInterruptMask</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_LVD_GetInterruptMask</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Returns the mask value of LVD interrupts. </para>        </briefdescription>
        <detaileddescription>
<para>SRSS Interrupt Mask Register (SRSS_INTR_MASK).</para><para><simplesect kind="return"><para>SRSS Interrupt Mask value, <ref kindref="member" refid="group__group__lvd__macros_1gae8294f29a1f72dec843637a91a565763">CY_LVD_INTR</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="422" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="419" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="265" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1ga7f58d4e85f404434cf4f0b89c35143d2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LVD_SetInterruptMask</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_LVD_SetInterruptMask</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Enables LVD interrupts. </para>        </briefdescription>
        <detaileddescription>
<para>Sets the LVD interrupt mask in the SRSS_INTR_MASK register. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="440" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="433" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="266" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1ga1de4327b866c4002806eb915023f438e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LVD_ClearInterruptMask</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_LVD_ClearInterruptMask</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Disables LVD interrupts. </para>        </briefdescription>
        <detaileddescription>
<para>Clears the LVD interrupt mask in the SRSS_INTR_MASK register. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="458" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="451" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="267" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1gaf66597cc5c1f74f48510a60b34c8de7a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_LVD_GetInterruptStatusMasked</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_LVD_GetInterruptStatusMasked</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Returns the masked interrupt status which is a bitwise AND between the interrupt status and interrupt mask registers. </para>        </briefdescription>
        <detaileddescription>
<para>SRSS Interrupt Masked Register (SRSS_INTR_MASKED).</para><para><simplesect kind="return"><para>SRSS Interrupt Masked value, <ref kindref="member" refid="group__group__lvd__macros_1gae8294f29a1f72dec843637a91a565763">CY_LVD_INTR</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="475" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="472" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="268" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1gaf9f813c4673a427b7a8aa35447f91cf0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LVD_SetInterruptConfig</definition>
        <argsstring>(cy_en_lvd_intr_config_t lvdInterruptConfig)</argsstring>
        <name>Cy_LVD_SetInterruptConfig</name>
        <param>
          <type><ref kindref="member" refid="group__group__lvd__enums_1ga86656c2b083eef9b483a09ef4078257e">cy_en_lvd_intr_config_t</ref></type>
          <declname>lvdInterruptConfig</declname>
        </param>
        <briefdescription>
<para>Sets a configuration for LVD interrupt. </para>        </briefdescription>
        <detaileddescription>
<para>SRSS Interrupt Configuration Register (SRSS_INTR_CFG).</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>lvdInterruptConfig</parametername>
</parameternamelist>
<parameterdescription>
<para><ref kindref="member" refid="group__group__lvd__enums_1ga86656c2b083eef9b483a09ef4078257e">cy_en_lvd_intr_config_t</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="497" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="488" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="269" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions__syspm__callback_1ga174e16f9519ae832fd711a609f86bc06" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref></type>
        <definition>cy_en_syspm_status_t Cy_LVD_DeepSleepCallback</definition>
        <argsstring>(cy_stc_syspm_callback_params_t *callbackParams, cy_en_syspm_callback_mode_t mode)</argsstring>
        <name>Cy_LVD_DeepSleepCallback</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__syspm__callback__params__t">cy_stc_syspm_callback_params_t</ref> *</type>
          <declname>callbackParams</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__syspm__data__enumerates_1gae06cd8869fe61d709ad6145ca9f3cd63">cy_en_syspm_callback_mode_t</ref></type>
          <declname>mode</declname>
        </param>
        <briefdescription>
<para>When this function is registered by <ref kindref="member" refid="group__group__syspm__functions__callback_1ga0d58b00c8dc764a6371590f70e2f73c7">Cy_SysPm_RegisterCallback</ref> - it automatically enables the LVD after wake up from Deep-Sleep mode. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>callbackParams</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the callback parameters structure, see <ref kindref="compound" refid="structcy__stc__syspm__callback__params__t">cy_stc_syspm_callback_params_t</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>mode</parametername>
</parameternamelist>
<parameterdescription>
<para>Callback mode, see <ref kindref="member" refid="group__group__syspm__data__enumerates_1gae06cd8869fe61d709ad6145ca9f3cd63">cy_en_syspm_callback_mode_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>the SysPm callback status <ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="71" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_lvd.c" bodystart="48" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="274" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>1.20</para></simplesect>
The header file of the LVD driver.</para><para><simplesect kind="copyright"><para>Copyright 2017-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="146"><highlight class="preprocessor">#if<sp />!defined<sp />CY_LVD_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="147"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_LVD_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="148"><highlight class="normal" /></codeline>
<codeline lineno="149"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_pra.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="150"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_syspm.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="151"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_device.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="152"><highlight class="normal" /></codeline>
<codeline lineno="153"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="155"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="156"><highlight class="normal" /></codeline>
<codeline lineno="162"><highlight class="preprocessor">#define<sp />CY_LVD_DRV_VERSION_MAJOR<sp /><sp /><sp /><sp /><sp /><sp /><sp />1</highlight><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="normal" /></codeline>
<codeline lineno="165"><highlight class="preprocessor">#define<sp />CY_LVD_DRV_VERSION_MINOR<sp /><sp /><sp /><sp /><sp /><sp /><sp />20</highlight><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="preprocessor">#define<sp />CY_LVD_ID<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CY_PDL_DRV_ID(0x39U))</highlight><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal" /></codeline>
<codeline lineno="173"><highlight class="preprocessor">#define<sp />CY_LVD_INTR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(SRSS_SRSS_INTR_HVLVD1_Msk)</highlight><highlight class="normal" /></codeline>
<codeline lineno="174"><highlight class="normal" /></codeline>
<codeline lineno="186"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="187"><highlight class="normal">{</highlight></codeline>
<codeline lineno="188"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a6c4786a3c532ab8c9cbe3ee76446559d">CY_LVD_THRESHOLD_1_2_V</ref><sp /><sp /><sp /><sp />=<sp />0x0U,<sp /></highlight></codeline>
<codeline lineno="189"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a210f2bcbbbf480104eaf331a5632ee9a">CY_LVD_THRESHOLD_1_4_V</ref><sp /><sp /><sp /><sp />=<sp />0x1U,<sp /></highlight></codeline>
<codeline lineno="190"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a900c1f1e98e09b7e6f812a34b35db2c1">CY_LVD_THRESHOLD_1_6_V</ref><sp /><sp /><sp /><sp />=<sp />0x2U,<sp /></highlight></codeline>
<codeline lineno="191"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62ae0ab723600715751b8e251694f6dc172">CY_LVD_THRESHOLD_1_8_V</ref><sp /><sp /><sp /><sp />=<sp />0x3U,<sp /></highlight></codeline>
<codeline lineno="192"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62aed9b79b39a04a20650a77d6d4adc7a3e">CY_LVD_THRESHOLD_2_0_V</ref><sp /><sp /><sp /><sp />=<sp />0x4U,<sp /></highlight></codeline>
<codeline lineno="193"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a442152c992e34c0ab08c6fd468619b48">CY_LVD_THRESHOLD_2_1_V</ref><sp /><sp /><sp /><sp />=<sp />0x5U,<sp /></highlight></codeline>
<codeline lineno="194"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a0e0bb97187980b9ab1b67771b25cd801">CY_LVD_THRESHOLD_2_2_V</ref><sp /><sp /><sp /><sp />=<sp />0x6U,<sp /></highlight></codeline>
<codeline lineno="195"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a673335b41bfdcea7488f41bf329fd670">CY_LVD_THRESHOLD_2_3_V</ref><sp /><sp /><sp /><sp />=<sp />0x7U,<sp /></highlight></codeline>
<codeline lineno="196"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62ad4b704de6a347e80d559ce5291231bb1">CY_LVD_THRESHOLD_2_4_V</ref><sp /><sp /><sp /><sp />=<sp />0x8U,<sp /></highlight></codeline>
<codeline lineno="197"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a5a8a453fdb6ced002661791f4e37c6e4">CY_LVD_THRESHOLD_2_5_V</ref><sp /><sp /><sp /><sp />=<sp />0x9U,<sp /></highlight></codeline>
<codeline lineno="198"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a3029991cbb2a5088a6bdf5dd94ffdb7b">CY_LVD_THRESHOLD_2_6_V</ref><sp /><sp /><sp /><sp />=<sp />0xAU,<sp /></highlight></codeline>
<codeline lineno="199"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a0a9b61adb3828e04d449aa4d0403bd5e">CY_LVD_THRESHOLD_2_7_V</ref><sp /><sp /><sp /><sp />=<sp />0xBU,<sp /></highlight></codeline>
<codeline lineno="200"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62abdfcb057cc4ff75e712c7dd24a2389b0">CY_LVD_THRESHOLD_2_8_V</ref><sp /><sp /><sp /><sp />=<sp />0xCU,<sp /></highlight></codeline>
<codeline lineno="201"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a536c3be0751704048e935d99582e8b08">CY_LVD_THRESHOLD_2_9_V</ref><sp /><sp /><sp /><sp />=<sp />0xDU,<sp /></highlight></codeline>
<codeline lineno="202"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62a0f59f6eaf6b0a774a17131cb2ea91724">CY_LVD_THRESHOLD_3_0_V</ref><sp /><sp /><sp /><sp />=<sp />0xEU,<sp /></highlight></codeline>
<codeline lineno="203"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lvd__enums_1gga4eaeaadf154cb3cbc9af0b4abcd56f62ac5eaf0f62614a3c8dad52cf499448da0">CY_LVD_THRESHOLD_3_1_V</ref><sp /><sp /><sp /><sp />=<sp />0xFU<sp /><sp /></highlight></codeline>
<codeline lineno="204"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__lvd__enums_1ga4eaeaadf154cb3cbc9af0b4abcd56f62">cy_en_lvd_tripsel_t</ref>;</highlight></codeline>
<codeline lineno="205"><highlight class="normal" /></codeline>
<codeline lineno="209"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="210"><highlight class="normal">{</highlight></codeline>
<codeline lineno="211"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lvd__enums_1gga86656c2b083eef9b483a09ef4078257ea64b9050c4cb9668d835d6129dfee27fc">CY_LVD_INTR_DISABLE</ref><sp /><sp /><sp /><sp />=<sp />0x0U,<sp /><sp /></highlight></codeline>
<codeline lineno="212"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lvd__enums_1gga86656c2b083eef9b483a09ef4078257ea10426e752ecc7fa75bd36592adcce57b">CY_LVD_INTR_RISING</ref><sp /><sp /><sp /><sp /><sp />=<sp />0x1U,<sp /><sp /></highlight></codeline>
<codeline lineno="213"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lvd__enums_1gga86656c2b083eef9b483a09ef4078257ea608e21ceb8711e5c0ea2c8bfbb06d907">CY_LVD_INTR_FALLING</ref><sp /><sp /><sp /><sp />=<sp />0x2U,<sp /><sp /></highlight></codeline>
<codeline lineno="214"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lvd__enums_1gga86656c2b083eef9b483a09ef4078257eadebb3940980d08388fb545812799a3c8">CY_LVD_INTR_BOTH</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x3U,<sp /><sp /></highlight></codeline>
<codeline lineno="215"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__lvd__enums_1ga86656c2b083eef9b483a09ef4078257e">cy_en_lvd_intr_config_t</ref>;</highlight></codeline>
<codeline lineno="216"><highlight class="normal" /></codeline>
<codeline lineno="220"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="221"><highlight class="normal">{</highlight></codeline>
<codeline lineno="222"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lvd__enums_1gga8ee282b956b17299990b22e65f15db0bac26d8123fc042072980b8a35de16f93c">CY_LVD_STATUS_BELOW</ref><sp /><sp /><sp />=<sp />0x0U,<sp /><sp /></highlight></codeline>
<codeline lineno="223"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__lvd__enums_1gga8ee282b956b17299990b22e65f15db0ba190b50e952ccf1e4c08cc573a4a7806e">CY_LVD_STATUS_ABOVE</ref><sp /><sp /><sp />=<sp />0x1U,<sp /><sp /></highlight></codeline>
<codeline lineno="224"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__lvd__enums_1ga8ee282b956b17299990b22e65f15db0b">cy_en_lvd_status_t</ref>;</highlight></codeline>
<codeline lineno="225"><highlight class="normal" /></codeline>
<codeline lineno="229"><highlight class="comment">/*<sp />Macros<sp />for<sp />conditions<sp />used<sp />by<sp />CY_ASSERT<sp />calls<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="230"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_LVD_CHECK_TRIPSEL(threshold)<sp /><sp />(((threshold)<sp />==<sp />CY_LVD_THRESHOLD_1_2_V)<sp />||<sp />\</highlight></codeline>
<codeline lineno="231"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((threshold)<sp />==<sp />CY_LVD_THRESHOLD_1_4_V)<sp />||<sp />\</highlight></codeline>
<codeline lineno="232"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((threshold)<sp />==<sp />CY_LVD_THRESHOLD_1_6_V)<sp />||<sp />\</highlight></codeline>
<codeline lineno="233"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((threshold)<sp />==<sp />CY_LVD_THRESHOLD_1_8_V)<sp />||<sp />\</highlight></codeline>
<codeline lineno="234"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((threshold)<sp />==<sp />CY_LVD_THRESHOLD_2_0_V)<sp />||<sp />\</highlight></codeline>
<codeline lineno="235"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((threshold)<sp />==<sp />CY_LVD_THRESHOLD_2_1_V)<sp />||<sp />\</highlight></codeline>
<codeline lineno="236"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((threshold)<sp />==<sp />CY_LVD_THRESHOLD_2_2_V)<sp />||<sp />\</highlight></codeline>
<codeline lineno="237"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((threshold)<sp />==<sp />CY_LVD_THRESHOLD_2_3_V)<sp />||<sp />\</highlight></codeline>
<codeline lineno="238"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((threshold)<sp />==<sp />CY_LVD_THRESHOLD_2_4_V)<sp />||<sp />\</highlight></codeline>
<codeline lineno="239"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((threshold)<sp />==<sp />CY_LVD_THRESHOLD_2_5_V)<sp />||<sp />\</highlight></codeline>
<codeline lineno="240"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((threshold)<sp />==<sp />CY_LVD_THRESHOLD_2_6_V)<sp />||<sp />\</highlight></codeline>
<codeline lineno="241"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((threshold)<sp />==<sp />CY_LVD_THRESHOLD_2_7_V)<sp />||<sp />\</highlight></codeline>
<codeline lineno="242"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((threshold)<sp />==<sp />CY_LVD_THRESHOLD_2_8_V)<sp />||<sp />\</highlight></codeline>
<codeline lineno="243"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((threshold)<sp />==<sp />CY_LVD_THRESHOLD_2_9_V)<sp />||<sp />\</highlight></codeline>
<codeline lineno="244"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((threshold)<sp />==<sp />CY_LVD_THRESHOLD_3_0_V)<sp />||<sp />\</highlight></codeline>
<codeline lineno="245"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((threshold)<sp />==<sp />CY_LVD_THRESHOLD_3_1_V))</highlight><highlight class="normal" /></codeline>
<codeline lineno="246"><highlight class="normal" /></codeline>
<codeline lineno="247"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_LVD_CHECK_INTR_CFG(intrCfg)<sp /><sp /><sp />(((intrCfg)<sp />==<sp />CY_LVD_INTR_DISABLE)<sp />||<sp />\</highlight></codeline>
<codeline lineno="248"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((intrCfg)<sp />==<sp />CY_LVD_INTR_RISING)<sp />||<sp />\</highlight></codeline>
<codeline lineno="249"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((intrCfg)<sp />==<sp />CY_LVD_INTR_FALLING)<sp />||<sp />\</highlight></codeline>
<codeline lineno="250"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((intrCfg)<sp />==<sp />CY_LVD_INTR_BOTH))</highlight><highlight class="normal" /></codeline>
<codeline lineno="251"><highlight class="normal" /></codeline>
<codeline lineno="258"><highlight class="normal">__STATIC_INLINE<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lvd__functions_1ga855b38a29ad7ce794e38f09e546f14c4">Cy_LVD_Enable</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="259"><highlight class="normal">__STATIC_INLINE<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lvd__functions_1ga3eba25c246f5977fca59309c198743a0">Cy_LVD_Disable</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="260"><highlight class="normal">__STATIC_INLINE<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lvd__functions_1ga59ac02fec5dbbba9c16b7b72beaa91b8">Cy_LVD_SetThreshold</ref>(cy_en_lvd_tripsel_t<sp />threshold);</highlight></codeline>
<codeline lineno="261"><highlight class="normal">__STATIC_INLINE<sp />cy_en_lvd_status_t<sp /><ref kindref="member" refid="group__group__lvd__functions_1ga9e3a366b7240affbd27ef64a12c7121f">Cy_LVD_GetStatus</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="262"><highlight class="normal">__STATIC_INLINE<sp />uint32_t<sp /><ref kindref="member" refid="group__group__lvd__functions_1gafc5ec839663e466fcd6332b767d4253c">Cy_LVD_GetInterruptStatus</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="263"><highlight class="normal">__STATIC_INLINE<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lvd__functions_1gaadd0bff934f82db8d5630ab9163fbf49">Cy_LVD_ClearInterrupt</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="264"><highlight class="normal">__STATIC_INLINE<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lvd__functions_1ga7f875a2e19d66badf8736ffc75b96665">Cy_LVD_SetInterrupt</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="265"><highlight class="normal">__STATIC_INLINE<sp />uint32_t<sp /><ref kindref="member" refid="group__group__lvd__functions_1ga64c8f2e7e5963585cbddc6370768c2b1">Cy_LVD_GetInterruptMask</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="266"><highlight class="normal">__STATIC_INLINE<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lvd__functions_1ga7f58d4e85f404434cf4f0b89c35143d2">Cy_LVD_SetInterruptMask</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="267"><highlight class="normal">__STATIC_INLINE<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lvd__functions_1ga1de4327b866c4002806eb915023f438e">Cy_LVD_ClearInterruptMask</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="268"><highlight class="normal">__STATIC_INLINE<sp />uint32_t<sp /><ref kindref="member" refid="group__group__lvd__functions_1gaf66597cc5c1f74f48510a60b34c8de7a">Cy_LVD_GetInterruptStatusMasked</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="269"><highlight class="normal">__STATIC_INLINE<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lvd__functions_1gaf9f813c4673a427b7a8aa35447f91cf0">Cy_LVD_SetInterruptConfig</ref>(cy_en_lvd_intr_config_t<sp />lvdInterruptConfig);</highlight></codeline>
<codeline lineno="274"><highlight class="normal"><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref><sp /><ref kindref="member" refid="group__group__lvd__functions__syspm__callback_1ga174e16f9519ae832fd711a609f86bc06">Cy_LVD_DeepSleepCallback</ref>(<ref kindref="compound" refid="structcy__stc__syspm__callback__params__t">cy_stc_syspm_callback_params_t</ref><sp />*<sp />callbackParams,<sp /><ref kindref="member" refid="group__group__syspm__data__enumerates_1gae06cd8869fe61d709ad6145ca9f3cd63">cy_en_syspm_callback_mode_t</ref><sp />mode);</highlight></codeline>
<codeline lineno="277"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="278"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_LVD_Enable</highlight></codeline>
<codeline lineno="279"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="286"><highlight class="normal">__STATIC_INLINE<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lvd__functions_1ga855b38a29ad7ce794e38f09e546f14c4">Cy_LVD_Enable</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="287"><highlight class="normal">{</highlight></codeline>
<codeline lineno="288"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#if<sp />CY_CPU_CORTEX_M4<sp />&amp;&amp;<sp />defined(CY_DEVICE_SECURE)</highlight><highlight class="normal" /></codeline>
<codeline lineno="289"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__pra__macros_1ga0b5bfc5991a5627c539970d0eadfab6d">CY_PRA_REG32_CLR_SET</ref>(CY_PRA_INDX_SRSS_PWR_LVD_CTL,<sp />SRSS_PWR_LVD_CTL_HVLVD1_EN,<sp />1U);</highlight></codeline>
<codeline lineno="290"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="291"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SRSS_PWR_LVD_CTL<sp />|=<sp />SRSS_PWR_LVD_CTL_HVLVD1_EN_Msk;</highlight></codeline>
<codeline lineno="292"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="293"><highlight class="normal">}</highlight></codeline>
<codeline lineno="294"><highlight class="normal" /></codeline>
<codeline lineno="295"><highlight class="normal" /></codeline>
<codeline lineno="296"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="297"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_LVD_Disable</highlight></codeline>
<codeline lineno="298"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="303"><highlight class="normal">__STATIC_INLINE<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lvd__functions_1ga3eba25c246f5977fca59309c198743a0">Cy_LVD_Disable</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="304"><highlight class="normal">{</highlight></codeline>
<codeline lineno="305"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#if<sp />CY_CPU_CORTEX_M4<sp />&amp;&amp;<sp />defined(CY_DEVICE_SECURE)</highlight><highlight class="normal" /></codeline>
<codeline lineno="306"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__pra__macros_1ga0b5bfc5991a5627c539970d0eadfab6d">CY_PRA_REG32_CLR_SET</ref>(CY_PRA_INDX_SRSS_PWR_LVD_CTL,<sp />SRSS_PWR_LVD_CTL_HVLVD1_EN,<sp />0U);</highlight></codeline>
<codeline lineno="307"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="308"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SRSS_PWR_LVD_CTL<sp />&amp;=<sp />(uint32_t)<sp />~SRSS_PWR_LVD_CTL_HVLVD1_EN_Msk;</highlight></codeline>
<codeline lineno="309"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="310"><highlight class="normal">}</highlight></codeline>
<codeline lineno="311"><highlight class="normal" /></codeline>
<codeline lineno="312"><highlight class="normal" /></codeline>
<codeline lineno="313"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="314"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_LVD_SetThreshold</highlight></codeline>
<codeline lineno="315"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="327"><highlight class="normal">__STATIC_INLINE<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lvd__functions_1ga59ac02fec5dbbba9c16b7b72beaa91b8">Cy_LVD_SetThreshold</ref>(cy_en_lvd_tripsel_t<sp />threshold)</highlight></codeline>
<codeline lineno="328"><highlight class="normal">{</highlight></codeline>
<codeline lineno="329"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_LVD_CHECK_TRIPSEL(threshold));</highlight></codeline>
<codeline lineno="330"><highlight class="normal" /></codeline>
<codeline lineno="331"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#if<sp />CY_CPU_CORTEX_M4<sp />&amp;&amp;<sp />defined(CY_DEVICE_SECURE)</highlight><highlight class="normal" /></codeline>
<codeline lineno="332"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__pra__macros_1ga0b5bfc5991a5627c539970d0eadfab6d">CY_PRA_REG32_CLR_SET</ref>(CY_PRA_INDX_SRSS_PWR_LVD_CTL,<sp />SRSS_PWR_LVD_CTL_HVLVD1_TRIPSEL,<sp />threshold);</highlight></codeline>
<codeline lineno="333"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="334"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SRSS_PWR_LVD_CTL<sp />=<sp />_CLR_SET_FLD32U(SRSS_PWR_LVD_CTL,<sp />SRSS_PWR_LVD_CTL_HVLVD1_TRIPSEL,<sp />threshold);</highlight></codeline>
<codeline lineno="335"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="336"><highlight class="normal">}</highlight></codeline>
<codeline lineno="337"><highlight class="normal" /></codeline>
<codeline lineno="338"><highlight class="normal" /></codeline>
<codeline lineno="339"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="340"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_LVD_GetStatus</highlight></codeline>
<codeline lineno="341"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="349"><highlight class="normal">__STATIC_INLINE<sp />cy_en_lvd_status_t<sp /><ref kindref="member" refid="group__group__lvd__functions_1ga9e3a366b7240affbd27ef64a12c7121f">Cy_LVD_GetStatus</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="350"><highlight class="normal">{</highlight></codeline>
<codeline lineno="351"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />((cy_en_lvd_status_t)<sp />_FLD2VAL(SRSS_PWR_LVD_STATUS_HVLVD1_OK,<sp />SRSS_PWR_LVD_STATUS));</highlight></codeline>
<codeline lineno="352"><highlight class="normal">}</highlight></codeline>
<codeline lineno="353"><highlight class="normal" /></codeline>
<codeline lineno="354"><highlight class="normal" /></codeline>
<codeline lineno="355"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="356"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_LVD_GetInterruptStatus</highlight></codeline>
<codeline lineno="357"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="365"><highlight class="normal">__STATIC_INLINE<sp />uint32_t<sp /><ref kindref="member" refid="group__group__lvd__functions_1gafc5ec839663e466fcd6332b767d4253c">Cy_LVD_GetInterruptStatus</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="366"><highlight class="normal">{</highlight></codeline>
<codeline lineno="367"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(SRSS_SRSS_INTR<sp />&amp;<sp />SRSS_SRSS_INTR_HVLVD1_Msk);</highlight></codeline>
<codeline lineno="368"><highlight class="normal">}</highlight></codeline>
<codeline lineno="369"><highlight class="normal" /></codeline>
<codeline lineno="370"><highlight class="normal" /></codeline>
<codeline lineno="371"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="372"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_LVD_ClearInterrupt</highlight></codeline>
<codeline lineno="373"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="379"><highlight class="normal">__STATIC_INLINE<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lvd__functions_1gaadd0bff934f82db8d5630ab9163fbf49">Cy_LVD_ClearInterrupt</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="380"><highlight class="normal">{</highlight></codeline>
<codeline lineno="381"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#if<sp />CY_CPU_CORTEX_M4<sp />&amp;&amp;<sp />defined(CY_DEVICE_SECURE)</highlight><highlight class="normal" /></codeline>
<codeline lineno="382"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__pra__macros_1ga5ce9fb4d14bcb5785633ae9c85e2df30">CY_PRA_REG32_SET</ref>(CY_PRA_INDX_SRSS_SRSS_INTR,<sp />SRSS_SRSS_INTR_HVLVD1_Msk);</highlight></codeline>
<codeline lineno="383"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="384"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SRSS_SRSS_INTR<sp />=<sp />SRSS_SRSS_INTR_HVLVD1_Msk;</highlight></codeline>
<codeline lineno="385"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="386"><highlight class="normal" /></codeline>
<codeline lineno="387"><highlight class="normal"><sp /><sp /><sp /><sp />(void)<sp />SRSS_SRSS_INTR;</highlight></codeline>
<codeline lineno="388"><highlight class="normal">}</highlight></codeline>
<codeline lineno="389"><highlight class="normal" /></codeline>
<codeline lineno="390"><highlight class="normal" /></codeline>
<codeline lineno="391"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="392"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_LVD_SetInterrupt</highlight></codeline>
<codeline lineno="393"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="399"><highlight class="normal">__STATIC_INLINE<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lvd__functions_1ga7f875a2e19d66badf8736ffc75b96665">Cy_LVD_SetInterrupt</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="400"><highlight class="normal">{</highlight></codeline>
<codeline lineno="401"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#if<sp />CY_CPU_CORTEX_M4<sp />&amp;&amp;<sp />defined(CY_DEVICE_SECURE)</highlight><highlight class="normal" /></codeline>
<codeline lineno="402"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__pra__macros_1ga5ce9fb4d14bcb5785633ae9c85e2df30">CY_PRA_REG32_SET</ref>(CY_PRA_INDX_SRSS_SRSS_INTR_SET,<sp />SRSS_SRSS_INTR_SET_HVLVD1_Msk);</highlight></codeline>
<codeline lineno="403"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="404"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SRSS_SRSS_INTR_SET<sp />=<sp />SRSS_SRSS_INTR_SET_HVLVD1_Msk;</highlight></codeline>
<codeline lineno="405"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="406"><highlight class="normal">}</highlight></codeline>
<codeline lineno="407"><highlight class="normal" /></codeline>
<codeline lineno="408"><highlight class="normal" /></codeline>
<codeline lineno="409"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="410"><highlight class="comment">*<sp />Function<sp />Name:<sp /><sp />Cy_LVD_GetInterruptMask</highlight></codeline>
<codeline lineno="411"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="419"><highlight class="normal">__STATIC_INLINE<sp />uint32_t<sp /><ref kindref="member" refid="group__group__lvd__functions_1ga64c8f2e7e5963585cbddc6370768c2b1">Cy_LVD_GetInterruptMask</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="420"><highlight class="normal">{</highlight></codeline>
<codeline lineno="421"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(SRSS_SRSS_INTR_MASK<sp />&amp;<sp />SRSS_SRSS_INTR_MASK_HVLVD1_Msk);</highlight></codeline>
<codeline lineno="422"><highlight class="normal">}</highlight></codeline>
<codeline lineno="423"><highlight class="normal" /></codeline>
<codeline lineno="424"><highlight class="normal" /></codeline>
<codeline lineno="425"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="426"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_LVD_SetInterruptMask</highlight></codeline>
<codeline lineno="427"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="433"><highlight class="normal">__STATIC_INLINE<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lvd__functions_1ga7f58d4e85f404434cf4f0b89c35143d2">Cy_LVD_SetInterruptMask</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="434"><highlight class="normal">{</highlight></codeline>
<codeline lineno="435"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#if<sp />CY_CPU_CORTEX_M4<sp />&amp;&amp;<sp />defined(CY_DEVICE_SECURE)</highlight><highlight class="normal" /></codeline>
<codeline lineno="436"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__pra__macros_1ga0b5bfc5991a5627c539970d0eadfab6d">CY_PRA_REG32_CLR_SET</ref>(CY_PRA_INDX_SRSS_SRSS_INTR_MASK,<sp />SRSS_SRSS_INTR_SET_HVLVD1,<sp />1U);</highlight></codeline>
<codeline lineno="437"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="438"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SRSS_SRSS_INTR_MASK<sp />|=<sp />SRSS_SRSS_INTR_MASK_HVLVD1_Msk;</highlight></codeline>
<codeline lineno="439"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="440"><highlight class="normal">}</highlight></codeline>
<codeline lineno="441"><highlight class="normal" /></codeline>
<codeline lineno="442"><highlight class="normal" /></codeline>
<codeline lineno="443"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="444"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_LVD_ClearInterruptMask</highlight></codeline>
<codeline lineno="445"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="451"><highlight class="normal">__STATIC_INLINE<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lvd__functions_1ga1de4327b866c4002806eb915023f438e">Cy_LVD_ClearInterruptMask</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="452"><highlight class="normal">{</highlight></codeline>
<codeline lineno="453"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#if<sp />CY_CPU_CORTEX_M4<sp />&amp;&amp;<sp />defined(CY_DEVICE_SECURE)</highlight><highlight class="normal" /></codeline>
<codeline lineno="454"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__pra__macros_1ga0b5bfc5991a5627c539970d0eadfab6d">CY_PRA_REG32_CLR_SET</ref>(CY_PRA_INDX_SRSS_SRSS_INTR_MASK,<sp />SRSS_SRSS_INTR_MASK_HVLVD1,<sp />0U);</highlight></codeline>
<codeline lineno="455"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="456"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SRSS_SRSS_INTR_MASK<sp />&amp;=<sp />(uint32_t)<sp />~SRSS_SRSS_INTR_MASK_HVLVD1_Msk;</highlight></codeline>
<codeline lineno="457"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="458"><highlight class="normal">}</highlight></codeline>
<codeline lineno="459"><highlight class="normal" /></codeline>
<codeline lineno="460"><highlight class="normal" /></codeline>
<codeline lineno="461"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="462"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_LVD_GetInterruptStatusMasked</highlight></codeline>
<codeline lineno="463"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="472"><highlight class="normal">__STATIC_INLINE<sp />uint32_t<sp /><ref kindref="member" refid="group__group__lvd__functions_1gaf66597cc5c1f74f48510a60b34c8de7a">Cy_LVD_GetInterruptStatusMasked</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="473"><highlight class="normal">{</highlight></codeline>
<codeline lineno="474"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(SRSS_SRSS_INTR_MASKED<sp />&amp;<sp />SRSS_SRSS_INTR_MASKED_HVLVD1_Msk);</highlight></codeline>
<codeline lineno="475"><highlight class="normal">}</highlight></codeline>
<codeline lineno="476"><highlight class="normal" /></codeline>
<codeline lineno="477"><highlight class="normal" /></codeline>
<codeline lineno="478"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="479"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_LVD_SetInterruptConfig</highlight></codeline>
<codeline lineno="480"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="488"><highlight class="normal">__STATIC_INLINE<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lvd__functions_1gaf9f813c4673a427b7a8aa35447f91cf0">Cy_LVD_SetInterruptConfig</ref>(cy_en_lvd_intr_config_t<sp />lvdInterruptConfig)</highlight></codeline>
<codeline lineno="489"><highlight class="normal">{</highlight></codeline>
<codeline lineno="490"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_LVD_CHECK_INTR_CFG(lvdInterruptConfig));</highlight></codeline>
<codeline lineno="491"><highlight class="normal" /></codeline>
<codeline lineno="492"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#if<sp />CY_CPU_CORTEX_M4<sp />&amp;&amp;<sp />defined(CY_DEVICE_SECURE)</highlight><highlight class="normal" /></codeline>
<codeline lineno="493"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__pra__macros_1ga0b5bfc5991a5627c539970d0eadfab6d">CY_PRA_REG32_CLR_SET</ref>(CY_PRA_INDX_SRSS_SRSS_INTR_CFG,<sp />SRSS_SRSS_INTR_CFG_HVLVD1_EDGE_SEL,<sp />lvdInterruptConfig);</highlight></codeline>
<codeline lineno="494"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="495"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SRSS_SRSS_INTR_CFG<sp />=<sp />_CLR_SET_FLD32U(SRSS_SRSS_INTR_CFG,<sp />SRSS_SRSS_INTR_CFG_HVLVD1_EDGE_SEL,<sp />lvdInterruptConfig);</highlight></codeline>
<codeline lineno="496"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="497"><highlight class="normal">}</highlight></codeline>
<codeline lineno="498"><highlight class="normal" /></codeline>
<codeline lineno="499"><highlight class="normal" /></codeline>
<codeline lineno="502"><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="503"><highlight class="normal">}</highlight></codeline>
<codeline lineno="504"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="505"><highlight class="normal" /></codeline>
<codeline lineno="506"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_LVD_H<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="507"><highlight class="normal" /></codeline>
<codeline lineno="508"><highlight class="normal" /></codeline>
<codeline lineno="512"><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" />
  </compounddef>
</doxygen>